%define major		1
%define libname		%mklibname evhtp %{major}
%define develname	%mklibname evhtp -d

Name:		libevhtp
Version:	1.2.11n
Release:	%mkrel 2
Summary:	A more flexible replacement for libevent's http API
License:	BSD
Group:		System/Libraries
Url:		https://github.com/ellzey/libevhtp
Source0:	https://github.com/ellzey/libevhtp/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		libevhtp-1.2.11-soname-and-pkgconfig.patch
Patch1:		libevhtp-1.2.11-internal-header-files-path.patch
BuildRequires:	cmake
BuildRequires:	glibc-devel
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)

%description
Libevhtp was created as a replacement API for Libevent's current
HTTP API. The reality of libevent's http interface is that it
was created as a JIT server, meaning the developer never thought
of it being used for creating a full-fledged HTTP service.
Infact I am under the impression that the libevent http API was
designed almost as an example of what you can do with libevent.
It's not Apache in a box, but more and more developers are
attempting to use it as so.

#----------------------------------------------------

%package -n	%{libname}
Summary:	Library for %{name}
Group:		System/Libraries

%description -n	%{libname}
Libevhtp was created as a replacement API for Libevent's current
HTTP API. The reality of libevent's http interface is that it
was created as a JIT server, meaning the developer never thought
of it being used for creating a full-fledged HTTP service.
Infact I am under the impression that the libevent http API was
designed almost as an example of what you can do with libevent.
It's not Apache in a box, but more and more developers are
attempting to use it as so.
This package contains library files for %{name}.

#----------------------------------------------------

%package -n	%{develname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	evhtp-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
The %{develname} package contains libraries and header files for
developing applications that use %{name}.

#----------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
%cmake -DEVHTP_BUILD_SHARED:STRING=ON

%make_build

%install
%make_install -C build

%files -n %{libname}
%{_libdir}/libevhtp.so.%{major}{,.*}

%files -n %{develname}
%doc ChangeLog README.markdown
%license LICENSE
%{_includedir}/evhtp/
%{_libdir}/libevhtp.so
%{_libdir}/pkgconfig/evhtp.pc


%changelog
* Wed Feb 15 2017 mrambo3501 <mrambo3501> 1.2.11n-2.mga6
+ Revision: 1086231
- rebuild for new libevent

* Thu May 12 2016 daviddavid <daviddavid> 1.2.11n-1.mga6
+ Revision: 1014272
- initial package libevhtp

